svn commit: r328902 - stable/11/tools/boot
Kyle Evans
kevans at FreeBSD.org
Mon Feb 5 21:29:28 UTC 2018
Author: kevans
Date: Mon Feb 5 21:29:27 2018
New Revision: 328902
URL: https://svnweb.freebsd.org/changeset/base/328902
Log:
MFC r342882,r324979,r325115: sys/boot test scripts
[Note: arm/armv7 has been removed in the interest of not having a failing
architecture from the start]
MFC r342882: Create a shell script to build sys/boot on all the
architectures.
MFC r324979: Do a chdir to SRCTOP/sys/boot before starting the run.
MFC r325115: Fix parallel build issues and add MK_ZFS=no case
Added:
stable/11/tools/boot/
- copied from r324882, head/tools/boot/
Modified:
stable/11/tools/boot/universe.sh
Directory Properties:
stable/11/ (props changed)
Modified: stable/11/tools/boot/universe.sh
==============================================================================
--- head/tools/boot/universe.sh Sun Oct 22 22:52:23 2017 (r324882)
+++ stable/11/tools/boot/universe.sh Mon Feb 5 21:29:27 2018 (r328902)
@@ -19,9 +19,12 @@
# Output is put into _.boot.$TARGET_ARCH.log in sys.boot.
#
+top=$(make -V SRCTOP)
+cd $top/sys/boot
+
for i in \
amd64/amd64 \
- arm/arm arm/armeb arm/armv7 \
+ arm/arm arm/armeb \
arm64/aarch64 \
i386/i386 \
mips/mips mips/mips64 \
@@ -30,9 +33,33 @@ for i in \
; do
ta=${i##*/}
echo -n "Building $ta..."
- ( ( make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make -j 20 clean cleandepend cleandir obj depend all" \
- > _.boot.${ta}.log 2>&1 ) && echo Success ) || echo Fail
+ if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make clean cleandepend cleandir obj depend" \
+ > _.boot.${ta}.log 2>&1; then
+ echo "Fail (cleanup)"
+ continue
+ fi
+ if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make -j 20 all" \
+ >> _.boot.${ta}.log 2>&1; then
+ echo "Fail (build)"
+ continue
+ fi
+ echo "Success"
done
-
-
-
+for i in \
+ amd64/amd64 \
+ i386/i386 \
+ ; do
+ ta=${i##*/}
+ echo -n "Building $ta MK_ZFS=no..."
+ if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make clean cleandepend cleandir obj depend" \
+ > _.boot.${ta}.noZFS.log 2>&1; then
+ echo "Fail (cleanup)"
+ continue
+ fi
+ if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make MK_ZFS=no -j 20 all" \
+ >> _.boot.${ta}.noZFS.log 2>&1; then
+ echo "Fail (build)"
+ continue
+ fi
+ echo "Success"
+done
More information about the svn-src-stable
mailing list